# synfig::ListImporter Class Reference

`#include <listimporter.h>`

Inheritance diagram for synfig::ListImporter:

List of all members.

## Public Member Functions

virtual | ~ListImporter ()
virtual bool | get_frame (Surface &surface, Time time, ProgressCallback *callback=NULL)
| Gets a frame and puts it into surface.
virtual bool | is_animated ()
| Returns `true` if the importer pays attention to the time parameter of get_frame().

## Static Public Member Functions

static Importer * | create (const char *filename)

## Protected Member Functions

| ListImporter (const String &filename)

## Detailed Description

Todo:
  Write more detailed description

## Constructor & Destructor Documentation

ListImporter::ListImporter | ( | const String & | filename | ) | `[protected]`

References synfig::error(), f, and synfig::info().

Referenced by create().

ListImporter::~ListImporter | ( |  | ) | `[virtual]`

## Member Function Documentation

bool ListImporter::get_frame | ( | Surface & | surface,
|  | Time | time,
|  | ProgressCallback * | callback = `NULL` |
| ) |  |  | `[virtual]`

Gets a frame and puts it into surface.

Parameters:

  | surface | Reference to surface to put frame into
  | time | For animated importers, determines which frame to get. For static importers, this parameter is unused.
  | callback | Pointer to callback class for progress, errors, etc.

Returns:
  `true` on success, `false` on error

See also:
  ProgressCallback, Surface

Implements synfig::Importer.

References _, synfig::error(), synfig::ProgressCallback::error(), LIST_IMPORTER_CACHE_SIZE, and synfig::Importer::open().

bool ListImporter::is_animated | ( |  | ) | `[virtual]`

Returns `true` if the importer pays attention to the time parameter of get_frame().

Reimplemented from synfig::Importer.

Importer * ListImporter::create | ( | const char * | filename | ) | `[static]`

References ListImporter().

Referenced by synfig::Main::Main().

The documentation for this class was generated from the following files:

- listimporter.h
- listimporter.cpp